ElectroNeek Documentation

Cette page n’est pas encore traduite en français : elle est affichée en anglais.

Get Workflows Launches Summary

This returns the list of launches of a particular Workflow. You can filter the launches by type, status, launch time, and Bot Runner IDs. The output list contains the last 1000 launches.


gethttps://api.{region}.electroneek.com/v1/orchestrator/workflow/{id}/launches

Valeurs possibles de {region} : na, cis, apac, latam, emea

Essayer

Envoyé depuis votre navigateur directement à l’API — rien ne transite par ce site, et le token API reste uniquement dans cet onglet.
Paramètres de chemin
Paramètres de requête
Renseignez id pour envoyer cette requête.
cURL
curl --request GET \
  --url 'https://api.na.electroneek.com/v1/orchestrator/workflow/{id}/launches'

Authentification

Utilisez un token API de la page Orchestrateur → Intégrations. Envoyez-le comme jeton bearer : Authorization: Bearer <token>.

Paramètres de chemin

NomTypeObligatoireDescription
idstringouiWorkflow ID

Paramètres de requête

NomTypeObligatoireDescription
typestring (manual, webhook, schedule, zapier, api)non
statusstring (stopped, in-queue, cancelled, forced-stop, in-progress, completed-with-error, completed-successfully)non
started_fromdate-timenon
started_todate-timenon
completed_fromdate-timenon
completed_todate-timenon
runner_idsarray of stringnon

Réponse

200Success
Corps de la réponse
object
listarray of objects
object
iduuidobligatoire
typestring (manual, webhook, schedule, zapier, api)obligatoire
statusstring (in-progress, completed-successfully, completed-with-error)obligatoire
started_atdate-timeobligatoire
output_dataobject

This returns all the Global Variables that were selected as Output while building the workflow in Studio Pro.

completed_atdate-timeobligatoire
logs_enabledbooleanobligatoire
console_logs_enabledbooleanobligatoire

Whether console logs were collected for this launch.

account_emailstringobligatoire
runner_idstring
Mis à jour